# Functor BatLog.Make_lev

    module Make_lev: functor (L : Level_sig) -> functor (S : Config) -> sig .. end

Make your own level-based logger, like `Easy`

Parameters:

`L` | : | `Level_sig`
`S` | : | `Config`

    val level : L.t Pervasives.ref

    val output : S.t BatIO.output Pervasives.ref

    val log : ?fp:string -> L.t -> string -> unit

    val logf : ?fp:string -> L.t -> ('a, S.t BatIO.output, unit) Pervasives.format -> 'a